Package net.sourceforge.jiu.color.dithering

# Interface SpotFunction

All Known Implementing Classes:
  `DiamondSpotFunction`, `LineSpotFunction`, `RoundSpotFunction`

public interface SpotFunction
An interface for spot functions to be used for clustered dot dithering.

Since:
  0.9.0
Author:
  Marco Schmidt
See Also:
  - `ClusteredDotDither`

## Method Summary

Modifier and Type
Method
Description
`double`
`compute(double x, double y)`
Compute the spot intensity at the given position.
`boolean`
`isBalanced()`
Returns if this spot function is balanced.

## Method Details

### compute

double compute(double x, double y)
Compute the spot intensity at the given position.

Parameters:
  `x` - horizontal position, must be between -1.0 and 1.0 (including both)
  `y` - vertical position, must be between -1.0 and 1.0 (including both)
Returns:
  the function value, must be between 0.0 and 1.0 (including both)

### isBalanced

boolean isBalanced()
Returns if this spot function is balanced.